## XXX: Hopefully Mono, Blam and multilib will play nicely soon...
%define	_libdir			%{_prefix}/lib
%define	dbus_sharp_min_version	0.60
%define	gecko_version		1.9.0.4

Name:		blam
Version:	1.8.5
Release:	4%{?dist}
Summary:	An RSS/RDF feed reader

Group:		Applications/Internet
License:	GPLv2+
URL:		http://www.cmartin.tk/blam.html

Source0:	http://www.cmartin.tk/blam/%{name}-%{version}.tar.bz2

#Patch0:		%{name}-fix-PrintJob-ambiguous-reference.patch
#Patch1:		%{name}-fedora-people-in-default-collection.patch
#Patch2:		%{name}-fix-THEME_DIR-path.patch
#Patch3:		%{name}-CVE-2005-4790.patch
Patch4:		%{name}-xulrunner.patch
Patch5:         %{name}-xulrunner-configure.patch
Patch6:		blam-1.8.5-gnome-print-sharp.patch
 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
## Various Mono dependencies are not available for ppc64; see bug 241850.
ExcludeArch:	ppc64

## gecko-libs is not strictly required, as gecko-sharp2 should pull it in.
## We hardcode a dependency for it anyway so that we fail if not building or
## being installed against the version we are expecting to.
BuildRequires:	dbus-sharp-devel >= %{dbus_sharp_min_version}
BuildRequires:	desktop-file-utils
BuildRequires:	gecko-devel-unstable = %{gecko_version}
BuildRequires:	gecko-sharp2-devel >= 0.12-6
BuildRequires:	gettext
BuildRequires:	gnome-sharp-devel
BuildRequires:  gnome-desktop-sharp-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gtk-sharp2-gapi
BuildRequires:	libgnomeui-devel
BuildRequires:	mono-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:  intltool

Requires:	dbus-sharp >= %{dbus_sharp_min_version}	
Requires:	gecko-sharp2
Requires:	gecko-libs = %{gecko_version}
Requires:	gnome-sharp
Requires:	mono-web

Requires(pre):	GConf2

Requires(post):	GConf2
Requires(post):	desktop-file-utils

Requires(preun):	GConf2

Requires(postun):	desktop-file-utils

%description
Blam is a tool that helps you keep track of the growing 
number of news feeds distributed as RSS. Blam lets you 
subscribe to any number of feeds and provides an easy to 
use and clean interface to stay up to date


%prep
%setup -q
#patch0 -p0 -b .fix-PrintJob-ambiguous-reference-compile-error
#patch1 -p0 -b .add-fedora-people-feed-to-default-collection.xml
#patch2 -p0 -b .fix-THEME_DIR-path
#patch3 -p1 -b .CVE-2005-4790
%patch4 -p1 -b .xl
%patch6 -p1 -b .gnomeprintsharp
%patch5 -p1 -b .xlc

%build
export CFLAGS="%{optflags} -debug"
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor fedora	\
	--delete-original	\
        --dir %{buildroot}%{_datadir}/applications	\
        %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
fi


%post
update-desktop-database &> /dev/null ||:
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule	\
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
fi


%postun
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%exclude %{_libdir}/blam/*.la 
%{_libdir}/blam
%{_datadir}/blam
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_mandir}/man?/%{name}.1*

%changelog
* Wed Nov 12 2008 Christopher Aillon <caillon@redhat.com> - 1.8.5-4
- Rebuild against newer gecko

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8.5-3
- rebuild against new gnome-sharp

* Wed Sep 24 2008 Christopher Aillon <caillon@redhat.com> - 1.8.5-2
- Rebuild against newer gecko

* Mon Jul 21 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.8.5-1
- Update to upstream (1.8.5), fixes FTBS (#434382)
- Set gecko version to new xulrunner: 1.9.0.4
- BR: gecko-devel-unstable
- Drop a number of patches which no longer apply
- Add new icons to file list.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.8.3-14
- Autorebuild for GCC 4.3

* Tue Nov 27 2007 Martin Stransky <stransky@redhat.com> - 1.8.3-13
- rebuild agains XUL Runner (gecko-libs 1.9)

* Tue Nov 27 2007 Christopher Aillon <caillon@redhat.com> - 1.8.3-12
- Rebuild against newer gecko

* Thu Nov 22 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-11
- Fix CVE-2005-4790 (bug 252294).

* Tue Nov 06 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-10
- Rebuild for new Gecko (Firefox 2.0.0.9).
- Bump Release to 10 to maintain upgrade path from F-8. 

* Sat Sep 08 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-8
- Add mono-web runtime dependency; fixes bugs 282331 (Blam does not open
  links with commas correctly) and 277561 (Blam does nothing useful).

* Fri Aug 17 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-7
- Add gnome-sharp runtime dependency; fixes bug 253200.
- Update License tag in accordance with new guidelines.

* Sat Aug 11 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-6
- Rebuild for newer Gecko libraries (Firefox 2.0.0.6)

* Wed Jul 18 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-5
- Rebuild for newer Gecko libraries (Firefox 2.0.0.5)
- Depend on the gecko-libs and gecko-devel virtuals, instead of querying RPM
  at build-time (Thanks to Chris Aillon for the fix.)
- Alphabetize dependencies, and other minor aesthetic-only spec changes.

* Wed May 30 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-4
- Rebuild for newer Gecko libraries (Firefox 2.0.0.4)
- Add a patch to fix the default theme directory search path to prevent crashes
  at startup (fixes bug 241465):
  + fix-THEME_DIR-path.patch

* Fri Apr 06 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-3
- Add hard dependency on dbus-sharp, since it's not automatically picked up
  by RPM at build-time from the dbus-sharp-devel BuildRequires. (Thanks to
  David Nielsen for the bug report via Jabber.)
- Add minimum version for dbus-sharp and dbus-sharp-devel dependencies.

* Wed Apr 04 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-2
- (Note to self: Don't fix it if it's not broken.) Drop unnecessary default
  theme fix:
  - fix-default-theme-base-href.patch
- Add patch to put the Fedora People feed into the default collection.xml:
  + fedora-people-in-default-collection.patch

* Wed Mar 07 2007 Peter Gordon <peter@thecodergeek.com> - 1.8.3-1
- Unorphan, since Carlos Martín Nieto has picked upstream development.
- Update to new upstream release (1.8.3)
- Add dbus-sharp-devel to the BuildRequires to properly allow D-Bus support.
- Lots of spec file cleanups:
  (1) Use macros instead of $RPM_* variables
  (2) Whitespace/formatting adjustments
  (3) Don't mark installed GConf schemas as %%config 
- Drop unnecessary patches:
  - gtk-sharp2-gecko-sharp2.patch
  - aclocal.m4-ngettext.patch
- Add a backported patch (from 1.8.4) to fix compilation error:
  + fix-PrintJob-ambiguous-reference.patch
- Add a backported patch (from 1.8.4) to fix the default theme base location:
  + fix-default-theme-base-href.patch

* Fri Jul 14 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.8.2-6
- Add missing gecko-sharp2 runtime dependency, fixes #196706

* Sun May 28 2006 John Mahowald  <jpmahowald@gmail.com> - 1.8.2-5
- fix gettext autoconf macro for x86_64

* Sun May 21 2006 John Mahowald <jpmahowald@gmail.com> - 1.8.2-4
- readd .so
- reenable find_lang
- mark gconf schemea as config

* Thu May 18 2006 John Mahowald <jpmahowald@gmail.com> - 1.8.2-2
- gtk-sharp2 gecko-sharp2
- no .a, .la, .so

* Tue Mar 23 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.8.2-1
- Initial build
